# Cities Skylines 2 : CityPlayer Traffic Custom Mod


#### This mod anticipates performance improvements in a realistic and efficient PathFind, add Rush Hour system, and enables Random Dummy Traffic and citizens to adjust their Transportation Preferences.




![img](https://i.imgur.com/fztzzMn.png)
## Description
By dividing the process of finding your destination and the actual process of finding your way, you can expect to improve your performance by changing the way you find your way efficiently and the way you find your home. It realistically changes the way some transportation choices are made, and as consumer patterns are applied, traffic volume changes more realistically. In addition, random traffic volume and citizens' preference for transportation can be adjusted to derive the desired traffic volume. Additionally, we created a "Rush Hour System" for the fun of the game, which makes the city's traffic flow more realistic.

## Cautions
- This mod was tested based on the vanilla version.
- Corrupted storage files due to the mod of changing the data may not be applied properly.
- (ex: the vehicle is unable to find its way due to a change in vehicles or citizens' behavior value, etc.)
- This mod requires time to take effect. (In-gametime 1-2days)
- This mod doesn't change any data. When you turn off this mod, you can play it the way you used to.
- In Beta, it's possible that the balance is not quite right.

## Language
- English(translation), Korean

## Updated
#### 0.1.1 : Update Discord URL
#### 0.1.0 :


## Features

### 1. Realistic and Efficient PathFind
- Several PathFind have been modified.
- Realistic pattern applies to Several PathFind.
- (Buying Resources of Citizens and Trucks etc.)

![img](https://i.imgur.com/ycgpqOW.png)
- Citizen Activity Time, Company Activity Time, Rate by Population

- Unrealistic transportation choices have been modified.

### 2. Rush Hour System

![img](https://i.imgur.com/yVEORTq.png)

- Apart from Random Traffic, there is rush hour between cities outside.
(Rush Hour for commute and cargo)

![img](https://i.imgur.com/sKdeFhi.png)
- Commute Rush Hour Time, Cargo Truck Rush Hour Time, Rate by Population

- You can adjust the strength of rush hour.
- The difficulty level can go up with rush hour.
- (Check in the game  time for at least 1-2 days, and change it)
- The function of Rush Hour System can be turned off.

### 3.Adjust Random Dummy Traffic
- Apart from Rush Hour System, you can turn on/off andom Dummy Traffic.
- (Car, Train, Plane, Watercraft)
- In the case of random dummy trains, it is recommended to turn them off as the lines sometimes overlap with existing trains.

### 4. Adjust Citizens Transportation Preference
- Adjust citizens' preferences for taxis, public transportation, and personal cars.
- If all are set to 'None', citizens move on foot.
- Automatically, if citizens don't have a persona car, they choose between taxi and public transportation.
- Taxis bring a lot of load to game calculations, so it's better to set it low.

### 5. Others
- When searching for a home, Park and Abandoned House are excluded
- The processing speed and size of pathfind simulation for searching home varies depending on the number of queues.
- The processing speed of the household behavior simulation varies depending on the number of queues.
- Spawned households of outside the city is limited by the number of queues.
- Spawned households are spawned irrespective of demand.
- Adjust personal car purchase preference.



## Support
- Because I don't speak and write English, aided by translator when write this article.
- My mod is basically using the original functions so that I don't want to destroy the saved file
- Please use Discord for inquiries about mods, corrections, and bug reports.
- Discord : https://discord.gg/RyBRtyuMQw

## Compatibility
- This mod uses 'PathfindSetupSystem', 'HouseholdFindPropertySystem', 'HouseholdSpawnSystem', 'TrafficSpawnerAISystem', 'HouseholdBehaviorSystem'


## Copyright
- Prohibits unauthorized modification, distribution, and copying of Mod.
- If you want to modify the language, please contact Discord.

## Requirements
-  Game 1.0.18f1
-  BepInEx 5.4.21.0